org.icefaces.ace.component.datetimeentry

## Enum DateTimeEntryBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<DateTimeEntryBase.PropertyKeys>
  - - org.icefaces.ace.component.datetimeentry.DateTimeEntryBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DateTimeEntryBase.PropertyKeys>
  Enclosing class:
    DateTimeEntryBase

      protected static enum DateTimeEntryBase.PropertyKeys
      extends java.lang.Enum<DateTimeEntryBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `buttonText`
    `disabled`
    `disableHoverStyling`
    `effect`
    `effectDuration`
    `indicatorPosition`
    `label`
    `labelPosition`
    `leftMonthOffset`
    `lenientParsing`
    `locale`
    `maxdate`
    `maxHour`
    `maxlength`
    `maxMinute`
    `maxSecond`
    `mindate`
    `minHour`
    `minMinute`
    `minSecond`
    `navigator`
    `optionalIndicator`
    `pages`
    `pattern`
    `popupIcon`
    `popupIconOnly`
    `readonly`
    `readOnlyInputText`
    `renderAsPopup`
    `requiredIndicator`
    `selectableDateRanges`
    `selectOtherMonths`
    `showButtonPanel`
    `showOn`
    `showOtherMonths`
    `showWeek`
    `singleSubmit`
    `size`
    `stepHour`
    `stepMinute`
    `stepSecond`
    `style`
    `styleClass`
    `tabindex`
    `timeOnly`
    `timeZone`
    `title`
    `todayNowButtonsAlsoSelect`
    `widgetVar`
    `yearRange`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static DateTimeEntryBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DateTimeEntryBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final DateTimeEntryBase.PropertyKeys accesskey

    - #### buttonText

          public static final DateTimeEntryBase.PropertyKeys buttonText

    - #### disableHoverStyling

          public static final DateTimeEntryBase.PropertyKeys disableHoverStyling

    - #### disabled

          public static final DateTimeEntryBase.PropertyKeys disabled

    - #### effect

          public static final DateTimeEntryBase.PropertyKeys effect

    - #### effectDuration

          public static final DateTimeEntryBase.PropertyKeys effectDuration

    - #### indicatorPosition

          public static final DateTimeEntryBase.PropertyKeys indicatorPosition

    - #### label

          public static final DateTimeEntryBase.PropertyKeys label

    - #### labelPosition

          public static final DateTimeEntryBase.PropertyKeys labelPosition

    - #### leftMonthOffset

          public static final DateTimeEntryBase.PropertyKeys leftMonthOffset

    - #### lenientParsing

          public static final DateTimeEntryBase.PropertyKeys lenientParsing

    - #### locale

          public static final DateTimeEntryBase.PropertyKeys locale

    - #### maxHour

          public static final DateTimeEntryBase.PropertyKeys maxHour

    - #### maxMinute

          public static final DateTimeEntryBase.PropertyKeys maxMinute

    - #### maxSecond

          public static final DateTimeEntryBase.PropertyKeys maxSecond

    - #### maxdate

          public static final DateTimeEntryBase.PropertyKeys maxdate

    - #### maxlength

          public static final DateTimeEntryBase.PropertyKeys maxlength

    - #### minHour

          public static final DateTimeEntryBase.PropertyKeys minHour

    - #### minMinute

          public static final DateTimeEntryBase.PropertyKeys minMinute

    - #### minSecond

          public static final DateTimeEntryBase.PropertyKeys minSecond

    - #### mindate

          public static final DateTimeEntryBase.PropertyKeys mindate

    - #### navigator

          public static final DateTimeEntryBase.PropertyKeys navigator

    - #### optionalIndicator

          public static final DateTimeEntryBase.PropertyKeys optionalIndicator

    - #### pages

          public static final DateTimeEntryBase.PropertyKeys pages

    - #### pattern

          public static final DateTimeEntryBase.PropertyKeys pattern

    - #### popupIcon

          public static final DateTimeEntryBase.PropertyKeys popupIcon

    - #### popupIconOnly

          public static final DateTimeEntryBase.PropertyKeys popupIconOnly

    - #### readOnlyInputText

          public static final DateTimeEntryBase.PropertyKeys readOnlyInputText

    - #### readonly

          public static final DateTimeEntryBase.PropertyKeys readonly

    - #### renderAsPopup

          public static final DateTimeEntryBase.PropertyKeys renderAsPopup

    - #### requiredIndicator

          public static final DateTimeEntryBase.PropertyKeys requiredIndicator

    - #### selectOtherMonths

          public static final DateTimeEntryBase.PropertyKeys selectOtherMonths

    - #### selectableDateRanges

          public static final DateTimeEntryBase.PropertyKeys selectableDateRanges

    - #### showButtonPanel

          public static final DateTimeEntryBase.PropertyKeys showButtonPanel

    - #### showOn

          public static final DateTimeEntryBase.PropertyKeys showOn

    - #### showOtherMonths

          public static final DateTimeEntryBase.PropertyKeys showOtherMonths

    - #### showWeek

          public static final DateTimeEntryBase.PropertyKeys showWeek

    - #### singleSubmit

          public static final DateTimeEntryBase.PropertyKeys singleSubmit

    - #### size

          public static final DateTimeEntryBase.PropertyKeys size

    - #### stepHour

          public static final DateTimeEntryBase.PropertyKeys stepHour

    - #### stepMinute

          public static final DateTimeEntryBase.PropertyKeys stepMinute

    - #### stepSecond

          public static final DateTimeEntryBase.PropertyKeys stepSecond

    - #### style

          public static final DateTimeEntryBase.PropertyKeys style

    - #### styleClass

          public static final DateTimeEntryBase.PropertyKeys styleClass

    - #### tabindex

          public static final DateTimeEntryBase.PropertyKeys tabindex

    - #### timeOnly

          public static final DateTimeEntryBase.PropertyKeys timeOnly

    - #### timeZone

          public static final DateTimeEntryBase.PropertyKeys timeZone

    - #### title

          public static final DateTimeEntryBase.PropertyKeys title

    - #### todayNowButtonsAlsoSelect

          public static final DateTimeEntryBase.PropertyKeys todayNowButtonsAlsoSelect

    - #### widgetVar

          public static final DateTimeEntryBase.PropertyKeys widgetVar

    - #### yearRange

          public static final DateTimeEntryBase.PropertyKeys yearRange

  - ### Method Detail

    - #### values

          public static DateTimeEntryBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DateTimeEntryBase.PropertyKeys c : DateTimeEntryBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DateTimeEntryBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DateTimeEntryBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.